REM  Various Tests using 1 or 2 registers
REM
REM  Tests are for 4 KB to fit in L1 cache, 64 KB and 256 KB
REM  for L2 cache and 2048 KB to test via RAM. All run for
REM  5 seconds (+ 2 or 3 for calibration).
REM
REM  Results are added to file BUSREAD.TXT
REM
REM  See BUSSPEED.TXT for program details 
 
REM  Test 1 - 32 byte increments
REM 
REM  Loading  4 bytes with 32 byte address increments
REM  using MOV instruction and 1 register.
 
BUSDOS KB    4
BUSDOS KB   64, N
BUSDOS KB  256, N
BUSDOS KB 2048, N


REM  Test 2 - Loading every byte
REM
REM   Loading every byte (4 byte address increments),
REM   using MOV instruction to 1 and 2 registers, no headings

BUSDOS KB    4, Inc 4, N 
BUSDOS KB   64, Inc 4, N 
BUSDOS KB  256, Inc 4, N 
BUSDOS KB 2048, Inc 4, N

BUSDOS KB    4, Inc 4, Reg 2, N
BUSDOS KB   64, Inc 4, Reg 2, N
BUSDOS KB  256, Inc 4, Reg 2, N
BUSDOS KB 2048, Inc 4, Reg 2, N

REM  Test 3 - Checking data
REM
REM  Default version uses data patterns A5A5A5A5 and
REM  and 5A5A5A5A alternating every 32 bytes. The
REM  program uses AND and XOR instructions to produce
REM  one result, 1 and 2 registers.

BUSDOS KB    4, Inc 4, Check 1
BUSDOS KB   64, Inc 4, Check 1, N
BUSDOS KB  256, Inc 4, Check 1, N
BUSDOS KB 2048, Inc 4, Check 1, N

BUSDOS KB    4, Inc 4, Reg 2, Check 1, N
BUSDOS KB   64, Inc 4, Reg 2, Check 1, N 
BUSDOS KB  256, Inc 4, Reg 2, Check 1, N 
BUSDOS KB 2048, Inc 4, Reg 2, Check 1, N

REM  Above is same as using parameter Alt for user
REM  defined pattern - BUSDOS Inc 4, Alt A5A5A5A5, Check 1

REM  Test 4 - Loading every byte, checking, same data
REM
REM  This test uses the same pattern in every word
REM  and uses AND instructions to produce one result.
REM  Note pattern could be any 8 digit hex number.

BUSDOS KB    4, Inc 4, Pattern A5A5A5A5, Check 1, N
BUSDOS KB   64, Inc 4, Pattern A5A5A5A5, Check 1, N 
BUSDOS KB  256, Inc 4, Pattern A5A5A5A5, Check 1, N 
BUSDOS KB 2048, Inc 4, Pattern A5A5A5A5, Check 1, N

BUSDOS KB    4, Inc 4, Reg 2, Pattern A5A5A5A5, Check 1, N
BUSDOS KB   64, Inc 4, Reg 2, Pattern A5A5A5A5, Check 1, N
BUSDOS KB  256, Inc 4, Reg 2, Pattern A5A5A5A5, Check 1, N
BUSDOS KB 2048, Inc 4, Reg 2, Pattern A5A5A5A5, Check 1, N




